pespin has submitted this change. ( https://gerrit.osmocom.org/c/docker-playground/+/36650?usp=email )
Change subject: asterisk: pjsip.conf: Mark templates accordingly
......................................................................
asterisk: pjsip.conf: Mark templates accordingly
Mark templates as such, in order to remove error messages during
asterisk setup when trying to apply the templates (which lack fields
such as "username", provided by config sections using the templates).
Reference: https://docs.asterisk.org/Fundamentals/Asterisk-Configuration/Asterisk-Conf…
Change-Id: Ia132c2e90cf6ee44145ca2e2555cf2dc6c1cfd51
---
M ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
1 file changed, 18 insertions(+), 4 deletions(-)
Approvals:
laforge: Looks good to me, but someone else must approve
pespin: Looks good to me, approved
Jenkins Builder: Verified
jolly: Looks good to me, but someone else must approve
diff --git a/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf b/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
index 39cf9bb..57cab41 100644
--- a/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
+++ b/ttcn3-asterisk-ims-ue-test/asterisk/pjsip.conf
@@ -7,8 +7,7 @@
;external_media_address=[obfuscated]
;external_signaling_address=[obfuscated]
-
-[endpoint_phone_template]
+[endpoint_phone_template](!)
type=endpoint
transport=transport-udp
context=from-phone
@@ -16,11 +15,11 @@
allow=alaw
allow=ulaw
-[auth_phone_template]
+[auth_phone_template](!)
type=auth
auth_type=userpass
-[aor_phone_template]
+[aor_phone_template](!)
type=aor
max_contacts=1
remove_existing=yes
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/36650?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Ia132c2e90cf6ee44145ca2e2555cf2dc6c1cfd51
Gerrit-Change-Number: 36650
Gerrit-PatchSet: 3
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: dexter <pmaier(a)sysmocom.de>
Gerrit-Reviewer: jolly <andreas(a)eversberg.eu>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: merged
Attention is currently required from: pespin.
jolly has posted comments on this change. ( https://gerrit.osmocom.org/c/docker-playground/+/36651?usp=email )
Change subject: asterisk: manager.conf: Give more permissions to AMI user
......................................................................
Patch Set 3: Code-Review+1
--
To view, visit https://gerrit.osmocom.org/c/docker-playground/+/36651?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: docker-playground
Gerrit-Branch: master
Gerrit-Change-Id: Ia77a9d88758f648a5539dbc7511b75c20fe7dd6b
Gerrit-Change-Number: 36651
Gerrit-PatchSet: 3
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: jolly <andreas(a)eversberg.eu>
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 13:01:20 +0000
Gerrit-HasComments: No
Gerrit-Has-Labels: Yes
Gerrit-MessageType: comment
osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email )
Change subject: contrib/systemd: run as osmocom user
......................................................................
contrib/systemd: run as osmocom user
Run the systemd service as osmocom user and group instead of root. Set
the StateDirectory and WorkingDirectory like we have it in other Osmocom
service files. Remove the ExecStartPre mkdir, as the directory now gets
created by postinst.
Related: OS#4107
Change-Id: I2c0c7f4b98300b3b0bb5b95013b51b6b60625b95
---
M contrib/systemd/osmo_dia2gsup.service
A debian/postinst
2 files changed, 49 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/erlang/osmo_dia2gsup refs/changes/71/36771/1
diff --git a/contrib/systemd/osmo_dia2gsup.service b/contrib/systemd/osmo_dia2gsup.service
index 2ef737c..e3d092e 100644
--- a/contrib/systemd/osmo_dia2gsup.service
+++ b/contrib/systemd/osmo_dia2gsup.service
@@ -7,8 +7,11 @@
[Service]
Type=simple
Restart=always
+StateDirectory=osmo_dia2gsup
+WorkingDirectory=%S/osmo_dia2gsup
+User=osmocom
+Group=osmocom
Environment="HOME=/var/lib/osmo_dia2gsup"
-ExecStartPre=/usr/bin/mkdir -p /var/lib/osmo_dia2gsup
ExecStart=/usr/bin/osmo-dia2gsup foreground
RestartSec=2
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..f9f64c8
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,30 @@
+#!/bin/sh -e
+case "$1" in
+ configure)
+ # Create the osmocom group and user (if it doesn't exist yet)
+ if ! getent group osmocom >/dev/null; then
+ groupadd --system osmocom
+ fi
+ if ! getent passwd osmocom >/dev/null; then
+ useradd \
+ --system \
+ --gid osmocom \
+ --home-dir /var/lib/osmocom \
+ --shell /sbin/nologin \
+ --comment "Open Source Mobile Communications" \
+ osmocom
+ fi
+
+ # Fix permissions of previous (root-owned) install (OS#4107)
+ chown osmocom:osmocom /etc/osmocom/osmo_dia2gsup.service
+ chmod 0660 /etc/osmocom/osmo_dia2gsup.service
+ chown root:osmocom /etc/osmocom
+ chmod 2775 /etc/osmocom
+ mkdir -p /var/lib/osmo_dia2gsup
+ chown -R osmocom:osmocom /var/lib/osmo_dia2gsup
+ ;;
+esac
+
+# dh_installdeb(1) will replace this with shell code automatically
+# generated by other debhelper scripts.
+#DEBHELPER#
--
To view, visit https://gerrit.osmocom.org/c/erlang/osmo_dia2gsup/+/36771?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: erlang/osmo_dia2gsup
Gerrit-Branch: master
Gerrit-Change-Id: I2c0c7f4b98300b3b0bb5b95013b51b6b60625b95
Gerrit-Change-Number: 36771
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: newchange
Attention is currently required from: pespin.
osmith has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36755?usp=email )
Change subject: asterisk: Implement AMI_Adapter using IPL4 instead of TELNET
......................................................................
Patch Set 3:
(2 comments)
File asterisk/AMI_Functions.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36755/comment/6e3011c2_87f0…
PS3, Line 260: /* TEXT Enc/dec is not happy with values containing "; ", get rid of them:
: * "AppData: 5,0502: Call pjsip endpoint from 0501\r\n" */
: var integer pos := f_strstr(patched_txt, "AppData: ", 0);
: if (pos >= 0) {
: var integer pos_end := f_strstr(patched_txt, "\r\n", pos) + lengthof("\r\n");
: var charstring to_remove := substr(patched_txt, pos, pos_end - pos);
: patched_txt := f_str_replace(patched_txt, to_remove, "");
: }
> It's removing the full line "AppData: 5,0502: Call pjsip endpoint from 0501\r\n", since we don't nee […]
ah thanks for explaining! could you update the comment, mention ": " and that it just removes the whole line? that would make it much clearer
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36755/comment/fec411c2_0fd1…
PS3, Line 480: log("AMI_Msg decoded: ", msg);
> That's more like a playground to test stuff interactively (recompile, test, etc. […]
Ack
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36755?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Icaf2860c1dd4befa4498f0d176cfadf26cfa8d1d
Gerrit-Change-Number: 36755
Gerrit-PatchSet: 3
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-CC: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: pespin <pespin(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 12:58:10 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: osmith <osmith(a)sysmocom.de>
Comment-In-Reply-To: pespin <pespin(a)sysmocom.de>
Gerrit-MessageType: comment
Attention is currently required from: osmith.
pespin has posted comments on this change. ( https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36755?usp=email )
Change subject: asterisk: Implement AMI_Adapter using IPL4 instead of TELNET
......................................................................
Patch Set 3:
(1 comment)
File asterisk/AMI_Functions.ttcn:
https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36755/comment/e98ef540_60d2…
PS3, Line 480: log("AMI_Msg decoded: ", msg);
> add some sort of assert / check at the end, that the decode lead to the expected result?
That's more like a playground to test stuff interactively (recompile, test, etc.) not something really being run during usual testsuite.
--
To view, visit https://gerrit.osmocom.org/c/osmo-ttcn3-hacks/+/36755?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ttcn3-hacks
Gerrit-Branch: master
Gerrit-Change-Id: Icaf2860c1dd4befa4498f0d176cfadf26cfa8d1d
Gerrit-Change-Number: 36755
Gerrit-PatchSet: 3
Gerrit-Owner: pespin <pespin(a)sysmocom.de>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-CC: osmith <osmith(a)sysmocom.de>
Gerrit-Attention: osmith <osmith(a)sysmocom.de>
Gerrit-Comment-Date: Fri, 10 May 2024 12:54:45 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Comment-In-Reply-To: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: comment